Package org.apache.sling.feature.cpconverter.handlers

## Class ContentPackageEntryHandler

- java.lang.Object
- - org.apache.sling.feature.cpconverter.handlers.AbstractContentPackageHandler
  - - org.apache.sling.feature.cpconverter.handlers.ContentPackageEntryHandler

All Implemented Interfaces:
  `EntryHandler`

    public final class ContentPackageEntryHandler
    extends AbstractContentPackageHandler

### Field Summary

Fields
`protected org.slf4j.Logger` `logger`

### Constructor Summary

Constructors
`ContentPackageEntryHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `extractTargetRunMode​(String path, ContentPackage2FeatureModelConverter converter, String runMode, String runModeMatch)`
`protected @NotNull Pattern` `getPattern()`
`boolean` `matches​(@NotNull String path)`
`protected void` `processSubPackage​(@NotNull String path, @Nullable String runMode, @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage contentPackage, @NotNull ContentPackage2FeatureModelConverter converter, boolean isEmbeddedPackage)`

### Methods inherited from class org.apache.sling.feature.cpconverter.handlers.AbstractContentPackageHandler

`handle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.feature.cpconverter.handlers.EntryHandler

`handle, withConfig`

### Field Detail

#### logger

    protected final org.slf4j.Logger logger

### Constructor Detail

#### ContentPackageEntryHandler

    public ContentPackageEntryHandler()

### Method Detail

#### processSubPackage

    protected void processSubPackage​(@NotNull
                                     @NotNull String path,
                                     @Nullable
                                     @Nullable String runMode,
                                     @NotNull
                                     @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage contentPackage,
                                     @NotNull
                                     @NotNull ContentPackage2FeatureModelConverter converter,
                                     boolean isEmbeddedPackage)
                              throws IOException,
                                     ConverterException

Specified by:
  `processSubPackage` in class `AbstractContentPackageHandler`
Throws:
  `IOException`
  `ConverterException`

#### matches

    public final boolean matches​(@NotNull
                                 @NotNull String path)

Specified by:
  `matches` in interface `EntryHandler`

#### getPattern

    @NotNull
    protected final @NotNull Pattern getPattern()

#### extractTargetRunMode

    protected String extractTargetRunMode​(String path,
                                          ContentPackage2FeatureModelConverter converter,
                                          String runMode,
                                          String runModeMatch)